package com.org.hktshop.service.order;

import com.org.hktshop.dto.HktCartBatchDto;
import com.org.hktshop.dto.HktCartOrderDto;
import com.org.hktshop.entity.order.HktCart;
import com.org.hktshop.entity.user.HktUser;
import com.org.hktshop.utils.Ret;

import java.util.List;

public interface HktCartService {

    Ret saveOrMergeHktCart(HktCart hktCart, HktUser user, String cartKey);

    boolean updateHktCart(HktCart hktCart);

    /*****
     * 删除 购物城
     * @param goodsId 整组Id
     * @param user
     * @param cartKey
     */
    void deleteHktCartByGoodsId(String goodsId, HktUser user, String cartKey);

    /****
     * 用戶查询购物车接口
     * @param user
     * @param cartKey
     * @return
     */
    List<HktCart> getHktCartList(HktUser user, String cartKey);

    /****
     * 删除 购物车内容
     * @param hktCart
     * @return
     */
    boolean deleteCart(HktCart hktCart);

    HktCart getHktCartByGoodsId(HktCart cart);

    HktCartOrderDto calculateGoodsPrice(HktCart cart);

    void batchInsert(List<HktCartBatchDto> hktCartBatchDtoList, String languageId, HktUser user, String cartKey);


    List exportExcel(String ids);
}
